httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rainer Jung <rainer.j...@kippdata.de>
Subject Re: modules calling ap_lingering_close()!!!
Date Sat, 22 Feb 2014 15:37:19 GMT
On 20.02.2014 18:24, Jeff Trawick wrote:

> BTW, do you know if there's a known collection of patches for 2.4
> support or for other critical fixes?  

mod_wsgi is running on eos and reliably serves wiki.apache.org using the
following patch on top of 3.4 in combination with 2.4.4, 2.4.6 and 2.4.6
(over the months):

--- mod_wsgi.c     2012-08-23 03:10:44.000000000 +0000
+++ mod_wsgi.c  2013-05-01 17:40:01.083241157 +0000
@@ -10600,7 +10600,13 @@
      * will add their own input/output filters to the chain.
      */

+#if AP_MODULE_MAGIC_AT_LEAST(20110619,0)
+    /* For 2.4 a NULL sbh pointer should work. */
+    sbh = NULL;
+#else
+    /* For 2.2 a dummy sbh pointer is needed. */
     ap_create_sb_handle(&sbh, p, -1, 0);
+#endif

     c = (conn_rec *)apr_pcalloc(p, sizeof(conn_rec));

@@ -12873,8 +12879,10 @@
      * here for status but Apache 2.4 prohibits it now.
      */

-    if (r->status == 200 && !strcmp(r->status_line, "200 Error"))
+    if (r->status == 200 && !strcmp(r->status_line, "200 Error")) {
+        r->status_line = NULL;
         return HTTP_INTERNAL_SERVER_ERROR;
+    }

     /*
      * Look for 'Location' header and if an internal


Regards,

Rainer

Mime
View raw message